﻿@model IEnumerable<ASP.NET_MVC5_WebShopExample.Models.Image>

@{
    ViewBag.Title = "Index";
}

<h2>Index</h2>

<p>
    @Html.ActionLink("Create New", "Create")
</p>
<table class="table">
    <tr>
        <th>
            @Html.DisplayNameFor(model => model.Answer.Content)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Category.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Discount.Title)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Product.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Question.Content)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Review.Title)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.ReviewComment.Content)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.UploadedByUser.Email)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Name)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Description)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.Data)
        </th>
        <th>
            @Html.DisplayNameFor(model => model.UploadedDate)
        </th>
        <th></th>
    </tr>

@foreach (var item in Model) {
    <tr>
        <td>
            @Html.DisplayFor(modelItem => item.Answer.Content)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Category.Name)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Discount.Title)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Product.Name)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Question.Content)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Review.Title)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.ReviewComment.Content)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.UploadedByUser.Email)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Name)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Description)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.Data)
        </td>
        <td>
            @Html.DisplayFor(modelItem => item.UploadedDate)
        </td>
        <td>
            @Html.ActionLink("Edit", "Edit", new { id=item.ImageId }) |
            @Html.ActionLink("Details", "Details", new { id=item.ImageId }) |
            @Html.ActionLink("Delete", "Delete", new { id=item.ImageId })
        </td>
    </tr>
}

</table>
